Subject: [PATCH v4 0/2] ohci and ehci-platform clks, phy and dt support

From: [email-masked] (Hans de Goede)
Date: Sat, 11 Jan 2014 00:24:18 +0100

Hi,

On 01/11/2014 01:10 AM, Sergei Shtylyov wrote:
> On 01/11/2014 01:52 AM, Hans de Goede wrote:
>
>>>> Here is v4 of my ohci and ehci-platform clks, phy and dt support patch-set,
>>>> this version should be 100% ready for merging upstream.
>
>>>     I see you've decided to completely ignore my opinion. NAK, FWIW.
>
>> I'm sorry but the whole prefix thing has become a thing of -ETOOMUCHBIKESHEDDING,
>> everyone except you seems to be fine with mmio
>
>     Everyone being couple of people reading this thread? Of which only one being familiar with the real [EO]HCI hardware? :-)

You are aware that I've worked on qemu's USB emulation for 3 years full-time,
including things like making the ehci emulation Windows XP compatible and
many other hcd emulation fixes?

And Alan Stern's credentials speak for themselves.

Comments like this do not really help to get your own comments taken serious.

>     The name is just plain stupid if you want to know my real opinion.

Your opinion has been noted, but so far your entire objection seems to be
you not liking the name and now calling it stupid, while there have been
actually *technical* arguments against the other prefixes.

> And you've posted v3 with this name used first only what, 1.5 days ago?
>
>> and and one point in time we
>> need to make a decision and move forward.
>
>     I see the first version of your patches posted on January 6th, today is 11th (just starting here). You must be in a very big hurry to get this merged, I see. :-)

This is not about being in a hurry, this is about not wanting to waste
time on what is quickly turning into pure bike-shedding.

>     Serious changes like this are not really done at such pace. Only the stuff that someone else has to painfully fix up later... :-(

If you're suggestion that the mmio- prefix will cause breakage later now
is your time to actually make an actual technical argument. "just plain
stupid" does not help to get your comments taken serious.

Regards,

Hans